﻿<UserControl x:Class="TheTrader.WPF.Controls.MajorIndexCard"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:models="clr-namespace:TheTrader.Domain.Models;assembly=TheTrader.Domain"
             d:DataContext="{d:DesignInstance models:MajorIndex}"
             d:DesignHeight="450" d:DesignWidth="800"
             mc:Ignorable="d">
    <Border BorderBrush="LightGray" BorderThickness="1" CornerRadius="10">
        <Grid Margin="10">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="Auto" />
            </Grid.RowDefinitions>

            <TextBlock Grid.Row="0" HorizontalAlignment="Center"
                       FontSize="18"
                       Text="{Binding Name, FallbackValue=Name}" />

            <Grid Grid.Row="1" Margin="0,10">
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>

                <TextBlock Grid.Row="0" Grid.Column="0"
                           Margin="5" Text="Price" />
                <TextBlock Grid.Row="0" Grid.Column="1"
                           Margin="5" HorizontalAlignment="Right"
                           Text="{Binding Price, StringFormat={}{0:c}, FallbackValue=$0.00}" />

                <TextBlock Grid.Row="1" Grid.Column="0"
                           Margin="5" Text="Changes" />
                <TextBlock Grid.Row="1" Grid.Column="1"
                           Margin="5" HorizontalAlignment="Right"
                           Text="{Binding Changes, StringFormat={}{0:c}, FallbackValue=$0.00}" />
            </Grid>
        </Grid>
    </Border>
</UserControl>